### Class

# CloudProviders AccountExporter

#### Description [src]

    final class CloudProviders.AccountExporter : GObject.Object
    {
      /* No available fields */
    }

Base object for representing a cloud providers account.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### cloud_providers_account_exporter_new

Create a new `CloudProvidersAccountExporter` object.

#### Instance methods

###### cloud_providers_account_exporter_set_action_group

In order for a menu to receive events that will eventually call your callbacks, it needs the corresponding `GActionGroup`. Use this function to export it.

###### cloud_providers_account_exporter_set_icon

No description available.

###### cloud_providers_account_exporter_set_menu_model

One of the benefits of the integration is to display a menu with available options for an account. Use this function to export a `GMenuModel` menu to be displayed by the chosen integration by the desktop environment or application.

###### cloud_providers_account_exporter_set_name

No description available.

###### cloud_providers_account_exporter_set_path

No description available.

###### cloud_providers_account_exporter_set_status

No description available.

###### cloud_providers_account_exporter_set_status_details

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### CloudProviders.AccountExporter:action-group

The action group associated with the account and menu model.

###### CloudProviders.AccountExporter:bus-name

The bus name of the account.

###### CloudProviders.AccountExporter:icon

The icon representing the account.

###### CloudProviders.AccountExporter:menu-model

The menu model associated with the account.

###### CloudProviders.AccountExporter:name

The name of the account.

###### CloudProviders.AccountExporter:path

The path of the directory where files are located.

###### CloudProviders.AccountExporter:provider

The provider associated with the account.

###### CloudProviders.AccountExporter:status

Status of the account.

###### CloudProviders.AccountExporter:status-details

The details of the account status.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CloudProvidersAccountExporterClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.